import React from 'react';

interface Props {
  height?: number;
  width?: number;
  className?: string;
}

function Pick({height, width, className}: Props) {
  return (
    <svg
      data-cy="icon"
      xmlns="http://www.w3.org/2000/svg"
      width={width ?? '42'}
      height={height ?? '26'}
      viewBox="0 0 42 26"
      className={className}
      fill="none"
    >
      <path
        d="M5.43478 0.655901C4.93451 0.655901 4.52898 1.05565 4.52898 1.54876C4.52898 2.04187 4.93451 2.44161 5.43478 2.44161H28.0373L32.7502 9.62629C32.8578 9.78656 33.0194 9.91094 33.2031 9.97509L39.8551 12.4304V21.1916H37.1094C36.8864 19.1867 35.1522 17.6202 33.0616 17.6202C30.971 17.6202 29.2368 19.1867 29.0138 21.1916H17.1818C16.9588 19.1867 15.2247 17.6202 13.1341 17.6202C11.0434 17.6202 9.30928 19.1867 9.08628 21.1916H6.34058V15.8345C6.34058 15.3413 5.93505 14.9416 5.43478 14.9416C4.93451 14.9416 4.52898 15.3413 4.52898 15.8345V22.0845C4.52903 22.552 4.96051 22.9773 5.43478 22.9773H9.29859C9.86241 24.5328 11.3706 25.6559 13.1341 25.6559C14.8975 25.6559 16.4057 24.5328 16.9696 22.9773H29.2261C29.7899 24.5328 31.2981 25.6559 33.0616 25.6559C34.825 25.6559 36.3332 24.5328 36.8971 22.9773H40.7609C41.2351 22.9773 41.6666 22.552 41.6667 22.0845V11.8166C41.6667 11.454 41.4177 11.1042 41.0722 10.9796L34.1231 8.41259L29.2969 1.06048C29.132 0.811633 28.8341 0.653977 28.5326 0.655901H5.43478ZM0.905797 4.22733C0.405525 4.22733 0 4.62707 0 5.12018C0 5.6133 0.405525 6.01304 0.905797 6.01304H13.5676C14.0679 6.01304 14.4734 5.6133 14.4734 5.12018C14.4734 4.62707 14.0679 4.22733 13.5676 4.22733H0.905797ZM1.81159 7.79875C1.31132 7.79875 0.905797 8.19848 0.905797 8.69161C0.905797 9.18473 1.31132 9.58447 1.81159 9.58447H13.5676C14.0679 9.58447 14.4734 9.18473 14.4734 8.69161C14.4734 8.19848 14.0679 7.79875 13.5676 7.79875H1.81159ZM3.62319 11.3702C3.12292 11.3702 2.71739 11.7699 2.71739 12.263C2.71739 12.7562 3.12292 13.1559 3.62319 13.1559H13.5676C14.0679 13.1559 14.4734 12.7562 14.4734 12.263C14.4734 11.7699 14.0679 11.3702 13.5676 11.3702H3.62319ZM13.1341 19.4059C14.3954 19.4059 15.3985 20.3947 15.3985 21.638C15.3985 22.8814 14.3954 23.8702 13.1341 23.8702C11.8727 23.8702 10.8696 22.8814 10.8696 21.638C10.8696 20.3947 11.8727 19.4059 13.1341 19.4059ZM33.0616 19.4059C34.323 19.4059 35.3261 20.3947 35.3261 21.638C35.3261 22.8814 34.323 23.8702 33.0616 23.8702C31.8002 23.8702 30.7971 22.8814 30.7971 21.638C30.7971 20.3947 31.8002 19.4059 33.0616 19.4059Z"
        fill="currentColor"
      />
    </svg>
  );
}

const defaultProps = {
  height: '26',
  width: '42',
  className: '',
};

Pick.defaultProps = defaultProps;

export default Pick;
